<?php

define('_CONSTANT_', 1);

define('root', $_SERVER['DOCUMENT_ROOT'].'/'); // Home directory;

require_once root . '/core/start.php';

head('Ошибка', 'Ошибка');

if (isset($_GET['error']) && is_numeric($_GET['error'])) 
{
    $error = $Filter->clearInt($_GET['error']);
    
    echo '<div style="text-align: center;"><img src="/img/error.jpeg" alt="[error-img]" width="240px"><br/>' . $error . '</div><br/>';
    
    echo '<div style="margin:8px;"><b>' . ico('info.png');
    if ($error == 400) 
    {
        echo 'Обнаруженная ошибка в запросе';
    } 
    else if ($error == 401) 
    {
        echo 'Нет прав для выдачи документа';
    } 
    else if ($error == 402) 
    {
        echo 'Не реализованный код запроса';
    } 
    else if ($error == 403) 
    {
        echo 'Доступ запрещен';
    } 
    else if ($error == 404) 
    {
        echo 'Нет такой страницы';
    } 
    else if ($error == 500) 
    {
        echo 'Внутренняя ошибка сервера';
    } 
    else if ($error == 502) 
    {
        echo 'Сервер получил недопустимые ответы другого сервера';
    } 
    else 
    {
        echo 'Неизвестная ошибка';
    } 
    
    echo '</b></div><a href="'.HOME.'/" class="link-touch"> На главную</a>';
} 
else 
{
    header("Location: ".HOME."/");
} 

require_once root . '/core/foot.php';